#
# spec file for package system-role-transactional-server
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-transactional-server repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name transactional-server
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-transactional-server
AutoReqProv:    off
Version:        15.5.0
Release:        150500.1.1
Summary:        Transactional Server role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLES
Provides:       extension_for_product() = SLES_BCL
Provides:       installer_module_extension() = system-role-transactional-server

%description
Meta package for Transactional Server role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%license %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 15.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Wed Mar 13 2019 jreidinger@suse.com
- enable role for SLES BCL (bsc#1128898)
- 15.1.6
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.5
* Fri Nov  9 2018 rbrown@suse.com
- Correct system role description and tidy up formatting (bsc#1115422)
- 15.1.4
* Wed Nov  7 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.3
* Tue Sep 25 2018 dgonzalez@suse.com
- Delete partitioning information from description (fate#324713)
- 15.1.2
* Mon Jul 30 2018 rbrown@suse.com
- Use %%license macro for package license (fate#326327)
- 15.1.1
* Wed Jul 18 2018 rbrown@suse.com
- Transactional Server System Role initial package (fate#326327)
- 15.1.0
